http-media-0.8.1.1: Processing HTTP Content-Type and Accept headers

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.HTTP.Media.Encoding

Description

Defines the `Encoding` accept header with an `Accept` instance for use in encoding negotiation.

Synopsis

- data Encoding

# Documentation

data Encoding Source #

Suitable for HTTP encoding as defined in RFC7231.

Specifically:

    codings = content-coding / "identity" / "*"

#### Instances

Instances details

IsString Encoding Source # |
Instance details Defined in Network.HTTP.Media.Encoding.Internal Methods fromString :: String -> Encoding Source #
Show Encoding Source # |
Instance details Defined in Network.HTTP.Media.Encoding.Internal Methods showsPrec :: Int -> Encoding -> ShowS Source # show :: Encoding -> String Source # showList :: [Encoding] -> ShowS Source #
Eq Encoding Source # |
Instance details Defined in Network.HTTP.Media.Encoding.Internal Methods (==) :: Encoding -> Encoding -> Bool Source # (/=) :: Encoding -> Encoding -> Bool Source #
Ord Encoding Source # |

Instance details

Defined in Network.HTTP.Media.Encoding.Internal

Methods

compare :: Encoding -> Encoding -> Ordering Source #

(<) :: Encoding -> Encoding -> Bool Source #

(<=) :: Encoding -> Encoding -> Bool Source #

(>) :: Encoding -> Encoding -> Bool Source #

(>=) :: Encoding -> Encoding -> Bool Source #

max :: Encoding -> Encoding -> Encoding Source #

min :: Encoding -> Encoding -> Encoding Source #

Accept Encoding Source # |
Instance details Defined in Network.HTTP.Media.Encoding.Internal Methods parseAccept :: ByteString -> Maybe Encoding Source # matches :: Encoding -> Encoding -> Bool Source # moreSpecificThan :: Encoding -> Encoding -> Bool Source # hasExtensionParameters :: Proxy Encoding -> Bool Source #
RenderHeader Encoding Source # |
Instance details Defined in Network.HTTP.Media.Encoding.Internal Methods renderHeader :: Encoding -> ByteString Source #